# -*- coding: utf-8 -*-
import scrapy
from scrapy import Request
import re


class Bizhi2Spider(scrapy.Spider):
    name = 'bizhi2'
    allowed_domains = ['zol.com']
    start_urls = ['http://pic.netbian.com/4kdongman/index.html']

    def parse(self, response):
        image_urls = [response.urljoin(x) for x in response.xpath('//ul[@class="clearfix"]/li/a/img/@src').extract()]
        image_names = response.xpath('//ul[@class="clearfix"]/li/a/b/text()').extract()
        for image_name, image_url in zip(image_names, image_urls):
            yield {"image_url": image_url, "image_name": image_name}
        next_url = re.findall(r'129</a><a href="(.+)">下一页', response.text)
        if next_url is not None:
            url = response.urljoin(next_url[0])
            yield Request(url, callback=self.parse)
        else:
            print("下载完成")






